Skip to main content
POST
/
v1
/
positions
Create position
curl --request POST \
  --url https://staging.api.us.aptlydone.com/settings/v1/positions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tenantId": "33734ff7-af8d-4f2e-b531-b85b7b0873df",
  "positionName": "Senior Developer",
  "isSCIMProvisioned": false,
  "externalId": "EXT-POS-12345",
  "instanceId": "e2c40d51-b040-4168-b147-71532f8c6788",
  "status": "ACTIVE",
  "groupIds": [
    "6fee9957-d395-4494-8331-45f63b4333e9, 85172028-328a-4815-8a4f-564c725ed415"
  ]
}
'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:20.711Z",
  "message": "Success",
  "data": {
    "id": "1533d1e1-b367-4b1e-bd45-bec6d1939149",
    "tenantId": "7991d6c1-8488-406e-acf6-f07e7d1399e8",
    "positionId": "10000",
    "positionName": "Senior Developer",
    "isSCIMProvisioned": false,
    "status": "ACTIVE",
    "isDeleted": false,
    "createdOn": "2025-01-13T12:34:59.300Z",
    "updatedOn": "2025-01-13T12:34:59.300Z",
    "groups": [
      {
        "groupName": "Engineering Team",
        "displayName": "Engineering Team Display",
        "groupTypeName": "Organizations",
        "groupId": "9fbe4911-1eae-499e-9190-a447a7134fe7",
        "groupTypeId": "a51e8d10-388f-4042-b8a8-578b7ace6992",
        "parentId": 2,
        "parentName": "Technology Division",
        "createdAt": "2025-01-13T12:34:59.303Z",
        "updatedAt": "2025-01-13T12:34:59.303Z"
      }
    ],
    "delegationsReceived": 1,
    "delegationsIssued": 1,
    "externalId": "EXT-POS-12345",
    "instanceId": "db036aaa-14fe-454a-bc23-a722e4106925"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
tenantId
string
required

Tenant ID

Example:

"33734ff7-af8d-4f2e-b531-b85b7b0873df"

positionName
string
required

Position name

Example:

"Senior Developer"

isSCIMProvisioned
boolean

SCIMP provisioned flag

Example:

false

externalId
string

External ID

Maximum string length: 100
Example:

"EXT-POS-12345"

instanceId
string

Instance ID

Example:

"e2c40d51-b040-4168-b147-71532f8c6788"

status
enum<string>
default:ACTIVE

Status

Available options:
ACTIVE,
INACTIVE
groupIds
string[]

Group IDs

Example:
[
  "6fee9957-d395-4494-8331-45f63b4333e9, 85172028-328a-4815-8a4f-564c725ed415"
]

Response

201 - application/json

Position created successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-08T06:33:20.711Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data